function GetWatermark(alpha, rgb, x, y, w, h)
	local obj = Shape.new()
	obj:setLineStyle(0, rgb)
	obj:setFillStyle(Shape.SOLID, rgb, alpha)
	obj:beginPath()
	obj:moveTo(x, y)
	obj:lineTo(x, y + h)
	obj:lineTo(x + w, y + h)
	obj:lineTo(x + w, y)
	obj:lineTo(x, y)
	obj:closePath()
	obj:endPath()
	obj:setVisible(alpha > 0)
	return obj
end


spr = Sprite.new()
sprChild = {Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new(), Sprite.new()}

for _,v in pairs(sprChild) do
	v:addChild(GetWatermark(0, 0xFFFFFF, 0, 0, 320, 240))
	spr:addChild(v)
end
	

local texture = Texture.new("logo.png")
local bitmap = Bitmap.new(texture)

sprChild[1]:addChild(bitmap)

stage:addChild(spr)
